org.eclipse.ease.urlhandler

## Class WorkspaceURLStreamHandlerService

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.osgi.service.url.AbstractURLStreamHandlerService
    - - org.eclipse.ease.urlhandler.WorkspaceURLStreamHandlerService

All Implemented Interfaces:
  org.osgi.service.url.URLStreamHandlerService

    public class WorkspaceURLStreamHandlerService
    extends org.osgi.service.url.AbstractURLStreamHandlerService

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceURLStreamHandlerService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.URLConnection` `openConnection(java.net.URL u)`

### Methods inherited from class org.osgi.service.url.AbstractURLStreamHandlerService

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, toExternalForm`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkspaceURLStreamHandlerService

    public WorkspaceURLStreamHandlerService()

### Method Detail

#### openConnection

    public java.net.URLConnection openConnection(java.net.URL u)
                                          throws java.io.IOException

Specified by:
  `openConnection` in interface `org.osgi.service.url.URLStreamHandlerService`
Specified by:
  `openConnection` in class `org.osgi.service.url.AbstractURLStreamHandlerService`
Throws:
  `java.io.IOException`